//
//  LogoStickerToolController.swift
//  Runner
//
//  Created by Danilo Pena on 15/05/20.
//  Copyright © 2020 The Chromium Authors. All rights reserved.
//

import UIKit
import PhotoEditorSDK

@available(iOS 9.0, *)
class LogoStickerToolController: StickerToolController {

    override func viewDidLoad() {
        super.viewDidLoad()
        UserDefaults.standard.set(["https://encrypted-tbn0.gstatic.com/images?q=tbn%3AANd9GcQN5h7AhxdwNgR1hanAFyV4VA87ujSDaGpJymSwLQHJEMl573l6",
        "https://encrypted-tbn0.gstatic.com/images?q=tbn%3AANd9GcRw1jedDvieNuFQeXEKXp4F_ny9X1QFGU5HlZbB61nUliyxyy5Y",
        "https://pt.freelogodesign.org/Content/img/logo-samples/bakary.png"], forKey: "logos")

        stickerSelectionController.stickers = createStickerSection(key: "logos", index: 1)
        stickerSelectionController.collectionView.reloadData()
    }

    private func createStickerSection(key: String, index: Int) -> [Sticker] {
        var images: [Sticker] = []
        let defaults = UserDefaults.standard
        let logos = defaults.array(forKey: key)
        var cont = 0
        logos?.forEach { logo in
            if let logoURL = URL(string: logo as! String) {
                let logoSticker = Sticker(imageURL: logoURL, thumbnailURL: nil, identifier: "\(cont) \(index)")
                cont = cont+1
                images.append(logoSticker)
            }
        }
        return images
    }
}
